Loading...
Searching...
No Matches
Magick::frameImage Class Reference

## Public Member Functions

| frameImage (const Geometry &geometry_=frameGeometryDefault)
| frameImage (const size_t width_, const size_t height_, const ::ssize_t innerBevel_=6, const ::ssize_t outerBevel_=6)
void | operator() (Image &image_) const

## Private Attributes

size_t | _width
size_t | _height
::ssize_t | _outerBevel
::ssize_t | _innerBevel

## Detailed Description

Definition at line 554 of file STL.h.

## Constructor & Destructor Documentation

## frameImage()

Magick::frameImage::frameImage | ( | const Geometry & | geometry_ = frameGeometryDefault | ) |

Definition at line 533 of file STL.cpp.

: _width( geometry_.width() ),
_height( geometry_.height() ),
_outerBevel( geometry_.xOff() ),
_innerBevel( geometry_.yOff() )
{
}

## Member Function Documentation

## operator()()

void Magick::frameImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 548 of file STL.cpp.

{
image_.frame( _width, _height, _innerBevel, _outerBevel );
}

## Field Documentation

## _height

size_t Magick::frameImage::_height

private

Definition at line 566 of file STL.h.

## _innerBevel

::ssize_t Magick::frameImage::_innerBevel

private

Definition at line 568 of file STL.h.

## _outerBevel

::ssize_t Magick::frameImage::_outerBevel

private

Definition at line 567 of file STL.h.

## _width

size_t Magick::frameImage::_width

private

Definition at line 565 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp